#include "mainwindow.h"
#include <QApplication>
#include <stdio.h>
#include <stdlib.h>
#include <getopt.h>
#include <QFile>
#include <QTextStream>
#include "utils.h"
#include <QTranslator>
int main(int argc, char *argv[])
{

  int c;
  bool launch = true;
  QString conffile = CONFFILE;

  while (1)
    {
      static struct option long_options[] =
        {
          /* These options set a flag. */
          {"help",     no_argument,       0, 'h'},
          {"conffile",     required_argument,       0, 'c'},
          {"select",  required_argument,       0, 's'},
          {"command",  required_argument, 0, 'r'},
          {"selected",  no_argument, 0, 'w'},
          {"with-ss",    required_argument, 0, 'i'},
          {0, 0, 0, 0}
        };
      /* getopt_long stores the option index here. */
      int option_index = 0;

      c = getopt_long (argc, argv, "hwc:s:r:i:d:",
                       long_options, &option_index);

      /* Detect the end of the options. */
      if (c == -1)
        break;

      switch (c)
        {

      case 'h':
          puts (
              "Usage:"
              "  appstarter [OPTION…]\n\n"

              "Options:\n"
              "  -h, --help               Show help options (this message)\n"
              "  -c, --conffile FILE      Use the specified configuration file\n"
              "  -s, --select PLUGIN      Set the selected item to be PLUGIN and exit\n"
              "  -r, --command CMD        Set the command to be CMD and exit\n"
              "  -w, --selected           Show the plugin currently selected\n"
              "  -i  --with-ss BOOL       If BOOL is \"false\", disable the screen saver\n\n"
                );
          launch = false;
          break;

      case 'c':
          conffile = QString::fromUtf8(optarg);
          launch = false;
          break;

      case 'w':
          QTextStream(stdout) << Utils::ReadEntry(conffile,"selected","default") << endl;
          launch = false;
          break;

      case 'r':
          Utils::writeEntry(conffile,"command",QString::fromUtf8(optarg),"default");
          launch = false;
          break;

      case 's':
          Utils::writeEntry(conffile,"selected",QString::fromUtf8(optarg),"default");
          launch = false;
          break;

      case 'i':
          Utils::writeEntry(conffile,"noscreensaver",QString::fromUtf8(optarg),"default");
          launch = false;
          break;

      case '?':
          /* getopt_long already printed an error message. */
          puts("Try appstarter --help to see a full list of available command line options.\n");
          launch = false;
          break;

        default:
          abort ();
        }
    }

  if(launch){
        QApplication a(argc, argv);
        QTranslator appTranslator;
        // Pour une phrase qui est dans plugin.h
        appTranslator.load ("appstarter_" + QLocale::system().name().split("_")[0],"/usr/share/ltools/i18n");
        a.installTranslator (&appTranslator);
        MainWindow w;
        w.setWindowIcon(QIcon::fromTheme("gnome-control-center"));
        w.setWindowTitle("Appstarter");
        w.show();
        return a.exec();
    }
    else
        return 0;


}
