#ifndef VLC_PLUGIN_H
#define VLC_PLUGIN_H
#include "utils.h"
#include "plugin.h"

class Vlc_plugin : public Plugin
{
public:
    Vlc_plugin();
    QString getName();
    QString getGenericName();
    QString getCommand();
    QIcon getIcon();

    void readConfig();
    Plugin *writeConfig();

    void getPluginConfig(QVBoxLayout *info);

private:
    QIcon icon;
    QString name;
    QString genericName;
    QString command;

    QLabel *lblPath;
    QLineEdit *txtPath;
    QPushButton *btnFile;
    QCheckBox *chkScreen, *chkLoop;

private slots:
    void on_file_selected();
};

#endif // VLC_PLUGIN_H
